***《高铁网络如何促进城市间合作创新——基于高铁网络通达性与合作专利的实证分析》
clear
use hsr_data,replace

***变量处理
gen lnpat=ln(pat+1)
gen lnttime=ln(ttime)
gen lngdp_sum=ln(gdp_sum)
gen lnsindustry_sum=ln(sindustry_sum)
gen lnind_sum=ln(ind_sum)
gen lnuniv_sum =ln(univ_sum)
gen lnprd_sum=ln(prd_sum)
gen lnpedu_sum=ln(pedu_sum)
gen lnlabor_sum=ln(labor_sum)
gen lnstu_sum=ln(stu_sum)
gen lnhospital_sum=ln(hospital_sum)
gen lnbook_sum=ln(book_sum+1)
gen lntech=ln(tech+1)
gen lninvest=ln(invest+1)
gen lnIO=ln(IO+1)

xtset id year
global cv lngdp_sum lnsindustry_sum lnind_sum lnuniv_sum lnprd_sum lnpedu_sum lnlabor_sum lnstu_sum lnhospital_sum lnbook_sum

***表2 基准模型估计结果
ppmlhdfe lnpat lnttime,absorb(i.id i.year) vce(cl id)
ppmlhdfe lnpat lnttime $cv ,absorb(i.id i.year) vce(cl id)
ppmlhdfe lnpat lnttime,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lnpat lnttime $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)

***表3 稳健性检验结果
**考虑城市间合作创新的滞后性
ppmlhdfe lnpat l.lnttime $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
**剔除部分城市样本
ppmlhdfe lnpat lnttime $cv if level==1 ,absorb(i.id i.year) vce(cl id)
**更换模型的再验证
tab year,gen(yr_dum)
drop yr_dum1
tobit lnpat lnttime $cv yr_dum*,ll(0) vce(cl id)

***表4、表5为使用Ucinet软件的分析结果，故在此无对应代码

***表6 互补性分析结果
ppmlhdfe lntech lnttime $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lninvest lnttime $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)

***表7 控制互补性与中介机会的分析结果
ppmlhdfe lnpat lnttime lninvest lnIO $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lnpat lnttime lntech lnIO $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)

***表8 地理距离异质性分析结果
ppmlhdfe lnpat lnttime $cv if distance600==1,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lnpat lnttime $cv if distance6001000==1,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lnpat lnttime $cv if distance1000==1,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)

***表9 高铁城市与非高铁城市异质性分析结果
gen lnttime×hsr2=lnttime*hsr2
gen lnttime×hsr1=lnttime*hsr1
gen lnttime×hsr=lnttime*hsr
ppmlhdfe lnpat lnttime lnttime×hsr2 lnttime×hsr1  $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)
ppmlhdfe lnpat lnttime lnttime×hsr $cv ,absorb(i.id i.year i.ida#i.year i.idb#i.year) vce(cl id)


